Subject: Re: [PATCH] gitweb: start to generate PATH_INFO URLs

From: Jakub Narebski <[email-masked]>
Date: Tue, 03 Oct 2006 14:16:05 +0200

Martin Waitz wrote:

> Instead of providing the project as a ?p= parameter it is simply appended
> to the base URI.

I have just modified href() to be able to use it for actions which don't
need the ?p= parameter... and you didn't take into consideration the case
when $params{'project'} is set, but undefined. Undefined params don't get
added, but "unless exists $params{'project'}" in the

        $params{'project'} = $project unless exists $params{'project'};

line prevents of adding 'p' param.

It is important for the project list (and equivalent) views.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git